tabix.read {seqminer} | R Documentation

## Read tabix file, similar to running tabix in command line.

### Description

Read tabix file, similar to running tabix in command line.

### Usage

    tabix.read(tabixFile, tabixRange)

### Arguments

`tabixFile` | character, an tabix indexed file
`tabixRange` | character, a text indicating which range in the VCF file to extract. e.g. 1:100-200

### Value

character vector, each elements is an individual line

### See Also

http://zhanxw.com/seqminer/ for online manual and examples

### Examples

    if (.Platform$endian == "little") {
      fileName = system.file("vcf/all.anno.filtered.extract.vcf.gz", package = "seqminer")
      snp <- tabix.read(fileName, "1:196623337-196632470")
    } else {
      message("Tabix does not work well for big endian for now")
    }

[Package seqminer version 7.1 Index]